import React from "react";
import { useMoralis } from "react-moralis";
import { ConnectButton, Button } from "web3uikit";

export function Account() {
  const { account, logout } = useMoralis();

  function handleAccountChange() {
    if (account) {
      return <Button theme="outline" text="Logout" onClick={() => logout()} />;
    } else {
      return <ConnectButton signingMessage="please sign to verify wallet" />;
    }
  }

  return <>{handleAccountChange()}</>;
}
